Simplify digitizing tool creates a copy of the geometry

2015-05-28 09:52 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category: Digitising

Affected QGIS version:2.8.2 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 20938

Description

The behaviour of the simplify tool in the Advance digitizing has apparently changed: now it creates a copy of the polygon, not easy to see

because it is apparently behin the original one.

I found the previous behaviour more intuitive.

History

#1 - 2015-05-28 01:54 PM - Nyall Dawson

I can't confirm - what data type (polygon/multipolygon/...) are you working with? Can you confirm that using the same dataset in 2.8 doesn't copy the

feature?

#2 - 2015-05-29 12:00 AM - Paolo Cavallini

- File risultati.zip added

See attached file (I moved one of the polygons for clarity).

#3 - 2015-05-29 12:12 AM - Giovanni Manghi

- Status changed from Open to Feedback

can't confirm here with provided data.

#4 - 2015-05-29 12:14 AM - Paolo Cavallini

The data are the result of simplification. Tested on Debian sid (master) and on verious Windows (2.8.2).

#5 - 2015-05-29 12:15 AM - Paolo Cavallini

- Priority changed from Normal to Low

#6 - 2015-05-29 12:32 AM - Giovanni Manghi

Paolo Cavallini wrote:

The data are the result of simplification. Tested on Debian sid (master) and on verious Windows (2.8.2).

2025-04-27 1/2



I can't confirm anyway, tested on Linux and Windows on master and 2.8.2

#7 - 2015-06-01 04:58 AM - Nyall Dawson

Are you sure you meant the simplify tool and not the split tool? I can reproduce this with the split tool, but not the simplify tool...

#8 - 2015-06-02 03:21 AM - Paolo Cavallini

Nope, is th Simplify one. BTW: tested on Windows XP.

#9 - 2015-06-04 07:00 AM - Marco Hugentobler

I simplified the right object of the provided shapefile and moved it to see if there is a second object. But there is only one object, so I cannot replicate

(master branch from today). Do you get a third object if you simplify one object?

#10 - 2015-06-04 09:36 PM - Paolo Cavallini

- Operating System set to Windows

- OS version set to XP32

Checked on Linux, it works as expected. Going to check again on Windows, where I noticed the issue.

#11 - 2015-06-05 08:58 AM - Paolo Cavallini

- Resolution set to worksforme

- Status changed from Feedback to Closed

Cannot replicate it anymore, sorry for the noise.

Files

risultati.zip 5.13 KB 2015-05-28 Paolo Cavallini
